Security Advisory

Back to advisories

Re-Sharing allows increase of privileges (NC-SA-2020-029)

16th July 2020

Risk level: Low

CVSS v3 Base Score: 5.5 (AV:N/AC:L/PR:L/UI:R/S:U/C:L/I:L/A:L)

CWE: Improper Privilege Management (CWE-269)

HackerOne report: 889243

Description

A logic error in Nextcloud Server 19.0.0 caused a privilege escalation allowing malicious users to reshare with higher permissions than they got assigned themselves.

Affected Software

  • Nextcloud Server < 19.0.1 (CVE-2020-8223)
  • Nextcloud Server < 18.0.7 (CVE-2020-8223)
  • Nextcloud Server < 17.0.8 (CVE-2020-8223)

Action Taken

The error has been fixed.

Resolution

It is recommended that the Nextcloud Server is upgraded to 19.0.1.

Acknowledgements

The Nextcloud team thanks the following people for their research and responsible disclosure of the above advisory:

  • Dr. Alexander Fleischer - TU Ilmenau - Vulnerability discovery and disclosure.

This advisory is licensed CC BY-SA 4.0.

You have javascript disabled. We tried to make sure the basics of our website work but some functionality will be missing.

This website is using cookies. By visiting you agree with our privacy policy. That's Fine